package com.huiju.estateagents.property.log;

import java.lang.annotation.*;

/**
 * 日志注解
 * @author weiximei
 */
@Retention(RetentionPolicy.RUNTIME) // 在运行时使用
@Target({ ElementType.METHOD }) // 在方法上使用
@Documented
public @interface LogAnnotation {

    /**
     * 日志类型
     * @return
     */
    LogEnums value() default LogEnums.NOT;

    /**
     * 是否记录
     * @return
     */
    boolean record() default true;

    /**
     * 别名, 作为注释用
     * @return
     */
    String alias() default "";

}
